Subject: Re: [PATCH V5 06/12] arm64: mm: Introduce vabits_actual

From: Catalin Marinas <[email-masked]>
Date: Wed, 7 Aug 2019 17:16:10 +0100

On Wed, Aug 07, 2019 at 04:55:18PM +0100, Steve Capper wrote:
> In order to support 52-bit kernel addresses detectable at boot time, one
> needs to know the actual VA_BITS detected. A new variable vabits_actual
> is introduced in this commit and employed for the KVM hypervisor layout,
> KASAN, fault handling and phys-to/from-virt translation where there
> would normally be compile time constants.
> 
> In order to maintain performance in phys_to_virt, another variable
> physvirt_offset is introduced.
> 
> Signed-off-by: Steve Capper <[email-masked]>

Reviewed-by: Catalin Marinas <[email-masked]>

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel